> ## Documentation Index
> Fetch the complete documentation index at: https://podpora.cubee.cz/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh JWT access token

> Accepts a refresh token and returns a new JWT access token if the refresh token is valid.



## OpenAPI

````yaml /api-reference/swagger-partner.json post /api/v1/auth
openapi: 3.0.4
info:
  title: Partner API
  description: API for partner services
  version: v1
servers:
  - url: https://api.partner.cubee.cz
    description: Partnerý API server
security: []
paths:
  /api/v1/auth:
    post:
      tags:
        - Authentication
      summary: Refresh JWT access token
      description: >-
        Accepts a refresh token and returns a new JWT access token if the
        refresh token is valid.
      requestBody:
        description: The refresh token model
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TokenModelDto'
          text/json:
            schema:
              $ref: '#/components/schemas/TokenModelDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/TokenModelDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenResponseModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: string
        '500':
          description: Internal Server Error
components:
  schemas:
    TokenModelDto:
      required:
        - refreshToken
      type: object
      properties:
        refreshToken:
          minLength: 1
          type: string
          description: Refresh token used to obtain a new access token
      additionalProperties: false
      description: Model for refresh token request
    TokenResponseModel:
      required:
        - jwtToken
      type: object
      properties:
        jwtToken:
          minLength: 1
          type: string
          description: JWT token that is generated after successful authentication
      additionalProperties: false
      description: Model for the response containing the JWT token

````